program RTFConv;
{$APPTYPE CONSOLE}
{%File 'RTFConv.inc'}

uses
  SysUtils,
  uRTF in 'uRTF.pas',
  uRtfTokens in 'uRtfTokens.pas',
  uRtfGroups in 'uRtfGroups.pas',
  uRtfTasks in 'uRtfTasks.pas',
  uRtfStyles in 'uRtfStyles.pas',
  uAdvRTF in 'uAdvRTF.pas',
  uRtfMetadata in 'uRtfMetadata.pas';

begin
  with TRtfTasks.Create do
    try
      LoadFromFile(ParamStr(1));
      Resize(StrToInt(ParamStr(2)));
      Justify;
      SaveToFile(ChangeFileExt(ParamStr(1), '.new.rtf'));
    finally
      Free;
      end;
end.
